Ubuntu

There is a problem with the configuration server. (/usr/lib/libgconf2-4/gconf-sanity-check-2 exited with status 256)

Reported by Jean.c.h on 2008-09-12
152
This bug affects 25 people
Affects Status Importance Assigned to Milestone
gconf (Ubuntu)
Medium
Ubuntu Desktop Bugs

Bug Description

Intrepid Ibex Alpha 5 64bit, All updates applied.
Been getting this error after the log-in screen, after doing updates yesterday.

James Westby (james-w) wrote :

Hi,

Could you please run /usr/lib/libgconf2-4/gconf-sanity-check-2 from a terminal
and report any output here?

Thanks,

James

Jean.c.h (slug71) wrote :

Just starts a new line. No further output.

James Westby (james-w) wrote :

Hi,

Could you attach you ~/.xsession-errors to the bug report please?

There may be something useful in there.

Thanks,

James

Ramesh Rajaby (mesh89) wrote :

Same problem here.

Trying to run from a terminal I get a popup (a graphical one) saying:

Please contact your system administrator to resolve the following problem:
No configuration sources in the configuration file "/etc/gconf/2/path"; this means that preferences and other settings can't be saved. Error reading the file: Failed: Couldn't open path file `/etc/gconf/2/path': No such file or directory

and on the terminal:

Failed to load addresses to delete locks

sojourner (itsmealso2) wrote :

I am getting the same message , clicking on close in the message does allow me to procede to desktop , attached is my xsession-errors .

Changed in gconf:
status: New → Confirmed
Jean.c.h (slug71) wrote :

Where would i find .xsession-errors?

On Fri, 2008-09-12 at 13:55 +0000, Slug71 wrote:
> Where would i find .xsession-errors?
>

It's a file in your home directory.

(Your home directory is denoted by "~")

Thanks,

James

Bryson (ebvadd) wrote :

I can verify this is a issue. I am having the same problem.

BUG #269244 has been marked as a duplicate of this bug.
Apparently re(installing) gnome-panel helped some users.

propwashz (propwashz) wrote :

in gconf-editor ,there is a new key after the update--with no settings in it
the original key (with settings) is /schemas/desktop/gnome/session/required_components
the new (empty key) is /schemas/desktop/gnome/session/required-components

did the update somehow add this new key(with no settings),and point gnome at it instead of the original?

My gnome desktop works fine --all my settings there -- with the E16 window manager, but if I try to just boot into a gnome session--it hangs my computer with the "status256" message.

My .xsessions-errors is attached--don't know if it will help.

Jean.c.h (slug71) wrote :

.xsession-errors file

Nathan Murray (yotux) wrote :

I have upgraded to the latest development version as of 09-13-2008. I did what I call a dirty upgrade from hardy and seem to be getting the above error. I will look at the bug listed above and see if it offers any help.

Nathan Murray (yotux) wrote :

Reinstalled gnome-panel does not seem to have any effect on the problem at hand.

Riccardo B. Desantis (effetti) wrote :

I'm having the same problem. Plus, (but I don't know if it is related to this bug) all the keys different than letters on my keyboard are mapped in a wrong way (i.e. the "down" key is mapped as the "super" key...)

Sebastien Bacher (seb128) wrote :

thank you for your bug report, do you have a /etc/gconf/gconf.xml.system directory? can you run "ls -ld /etc/gconf/gconf.xml.system" and copy that on the bug? did you use the new feature to set the system keyboard layout?

Changed in gconf:
assignee: nobody → desktop-bugs
importance: Undecided → Medium
status: Confirmed → Incomplete
Riccardo B. Desantis (effetti) wrote :

Yes, I've got that directory:

ft@deadware:~$ ls -ld /etc/gconf/gconf.xml.system
drwx------ 2 root root 4096 2008-09-10 22:20 /etc/gconf/gconf.xml.system

The problem is that everything used to work well, but after some updates, it stopped to work at all, both with KDE4 and Gnome... (I'm using Intrepid Ibex since when they opened the repositories...). After that I tried to make it work using gnome-keyboard-properties, but I wasn't very lucky...
However it is VERY annoying. Maybe I should file another bug? I was waiting for some new updates, but now it is some days that it doesn't work (maybe since the 9th of September, watching Synaptic logs... before the landing of libgnomekbd3)

Sebastien Bacher (seb128) wrote :

could you try to sudo chmod 775 /etc/gconf/gconf.xml.system and see if you still get the error?

Claro Taroco (ctaroco) wrote :

Hi All,

I have changed the permission as you recommended, and this issue disappear. But I got another problem, gnome throw me to login and after logged again it didn't take my desktop preferences.

regards,
             Claro Taroco

Riccardo B. Desantis (effetti) wrote :

@Sebastien Bacher:
This bug is resolved chmodding that directory, but I still have got all the keys mapped in a wrong way...

Riccardo B. Desantis (effetti) wrote :

@Claro Taroco:
try to press
   Alt+F2
and run
   gnome-settings-daemon
everything should be ok for you...

Claro Taroco (ctaroco) wrote :

Thank you Riccardo for your tip, but my computer is a mess. The new updates has distorted everything and nothing is working, gnome throw me to login, network manager doesn't work, all applications hang up, etc.

Thank's god I have another partition with Arch.

I will wait a few days for new updates on Intrepid until test new fixes.

Regards,
               Claro Taroco

Graham Inggs (ginggs) wrote :

I've been getting this error since upgrading from intrepid alpha 4 to alpha 6.
sudo chmod 775 /etc/gconf/gconf.xml.system solved it, thanks Sebastien!

dino99 (9d9) wrote :

i have this bug too about 2 weeks now, and the above commands return nothing ( dont have /etc/gconf/gconf.xml.system)

dino99 (9d9) wrote :
Colin Watson (cjwatson) wrote :

This may not be why it happens to everyone, but during beta ISO testing I noticed that this happens if you run out of space on /home. This is a regression of some feature work done in a previous release to make sure the user can always log in even if they run out of disk space (the overflow-tmpfs-on-/tmp init script).

I dug into this a little bit. The cause is that an attempt to mkdir $HOME/.gconf fails due to ENOSPC. This is in the resolve_address function in backends/xml-backend.c, called via gconf_resolve_address from the check_gconf function in gconf/gconf-sanity-check.c.

dino99 (9d9) wrote :

since around october 15th, this bug don't appear at all: don't know which update have resolve it.

so, now no problemo !!!!

chourmovs (chourmovs) wrote :

still present for me with the very last one update

sebsheep (sebsheep) wrote :

I have the same problem. It is a complete new install, over an old one (this old was completly formated except the /home).

I've tried to reinstall gnome-panel, and chmoded the gconf.xml.system (775 ? strange rights isn't it?), reboot, but nothing changed :
after log in gnome, the message error and then a monochromatic-braun-ubuntu-backgound with the mouse and ... nothing else!

sebsheep (sebsheep) wrote :

No more problem !

Like I said, I've installed the new ubuntu over a old installation, keeping my /home. During the install, I've put my home partition on the /home mount point. All my files was so owned by root.
A little "sudo chown sebsheep:/ /home/sebsheep" (sebsheep is my logname) and it was fine! Viva Intrepid now!!

chourmovs (chourmovs) wrote :

doesn't work for me

2008/11/1 sebsheep <email address hidden>:
> No more problem !
>
> Like I said, I've installed the new ubuntu over a old installation, keeping my /home. During the install, I've put my home partition on the /home mount point. All my files was so owned by root.
> A little "sudo chown sebsheep:/ /home/sebsheep" (sebsheep is my logname) and it was fine! Viva Intrepid now!!
>

salparadise17 (onlyirish) wrote :

"This may not be why it happens to everyone, but during beta ISO testing I noticed that this happens if you run out of space on /home. This is a regression of some feature work done in a previous release to make sure the user can always log in even if they run out of disk space (the overflow-tmpfs-on-/tmp init script).

I dug into this a little bit. The cause is that an attempt to mkdir $HOME/.gconf fails due to ENOSPC. This is in the resolve_address function in backends/xml-backend.c, called via gconf_resolve_address from the check_gconf function in gconf/gconf-sanity-check.c."

I know for a fact that this is why my problem is occurring. What do I do?

Steve Beattie (sbeattie) wrote :

This bug was reported in the Intrepid development cycle; removing regression-potential and marking as regression-release.

mountev (emj4ever) wrote :

I see that the last comment was in December for this thread. Has anyone figured out a fix for this yet? I am a noob to Ubuntu and currently have this problem. I can't seem to get to my desktop at all.
Thanks!

Christoph (christoph-thomas) wrote :

It seems this problem occurs in karmic once again. As above mentiond "chmod 775 /etc/gconf/gconf.xml.system" solved the problem (at last for me :-)).

Additional Information: runing /usr/lib/libgconf2-4/gconf-sanity-check-2 from a terminal gave no errors. The Problem was only seen direct after login from gdm, before my profile was loaded.

Chris

I just now installed the gnome-desktop-environment package on my karmic Kubuntu installation, and ran into the same issue. The chmod 775 solution seems to have worked for me.

Alfred Chen (alfredchen) wrote :

This issue hits me after I installed karmic. But I don't find any "/etc/gconf/gconf.xml.system".

VladNistor (vladnistor) wrote :

I can confirm the issue in karmic 64bit. The issue was resolved with chmod but I can no longer connect to my external monitor (TV). Has anyone else seen this side-effect?

Leftos (leftos) wrote :

If all else fails, like it did in my case (I tried re-installing ubuntu, updating gnome-panel, chmod, chown, upgrade), you can try deleting .* in your /home/user folder. So all folders such as .gconf and any files that start with . should be deleted. It worked for me.

ikkerus (ikkerus) wrote :

After my upgrade vom jaunty to karmic beta via "update-manager -d" I got the error reported in this bug.

I changed permissions of /tmp with chmod 777 and it works again. :) Maybe this helps you!

Further instructions, look at: http://ubuntuforums.org/showthread.php?t=1061084

Mihael Murkovic (mihael-blues) wrote :

I encountered this error when i was setting up my desktop system. Basically i put auto login session so that i don't have to type in password every time. All hell broke loose ;)
When i reverted to old settings (no auto logon) everything worked fine again.. Maybe it'll help someone.
(Karmic 64b)

Edgar Tijerino (ebt2001) wrote :

I had the same problem with KK x64, I was troubleshooting some other problem and deleted /tmp ... after a reboot i could not login at all regardless of user except for root.... chmod 775 /tmp fixed it.

suniyo (suniyo) wrote :

can not login. login screens throws me back to login with message: There is a problem with configuration server. /usr/lib/libconf2-4/gconf-san ity-check-2 exited with status 256. A graphical popup appears at the top on login screen with the message: Install Problem. The configuration details for GNOME power manager has not been installed correctly.

This happened when i changed file permission with command: su@su-mc~:$ chmod 755 -R * to change file permissions. Terminal hung and I restarted machine manually and since than unable to login.

far_away (richgr) wrote :

Same problem here:

"There is a problem with the configuration server
(/usr/lib/libgconf2-4/gconf-sanity-check-2 exited with status 256)"

This came after my previous graphical login had a popup stating that the Power Configuration Defaults were not properly set in Gnome. Sorry, I didn't write that error down.

In this case, I had been installing various software (Kino, OpenShot) but also had another admin installing on this system, so the problem might lie elsewhere.

far_away (richgr) wrote :

That gui error message came back. It was:

"Installation Problem
The configuration defaults for Gnome Power Manager have not been correctly installed.
Please contact your computer administrator."

I noticed in the graphical login that there are choices for different "Sessions" (Failsafe GNOME, GNOME, KDE, xterm)

I've tried them all, and they all come back to this error, or the 256 error.
Even the failsafe GNOME didn't work, but instead the login hung, with a black screen and a movable white mouse.

I also tried to chmod the /tmp to 755 or 777, but neither made any change, so I left it as it was (777).

pj (pj-stickerpoint) wrote :

Exactly the same problem as far_away this morning. The hard disk partition with the system installed on it was full due to a backup I think. Not able to access the terminal at all at present. Very grateful for any ideas as to how to access it.

I have a USB version on Ubuntu.

This bug:
https://bugs.launchpad.net/ubuntu/+source/gdm/+bug/432492 mentioned reinstalling GDM and this worked for me on the latest Karmic:

$ sudo dpkg-reconfigure gdm

Seems to still come back occasionally though.

The problem started after I started working on getting jack & pulseaudio going with a firewire soundcard using some of the ubuntu studio packages.

Malcolm Boura (malcolm-boura) wrote :

Not sure if this is the same bug or not but same error message.

/tmp became full.

Next time started up got the error.

Ran /usr/lib/libgconf2-4/gconf-sanity-check-2 from a terminal. Error message said could not delete file null and a subsequent line that there was a problem creating a file in /tmp.

sudo chmod a+rwx /tmp

On restart everything (well most things at any rate) were working again.

A few other things tried from the suggestions above without any apparent effect.

ShortMort37 (morton) wrote :

I see this complaint when I cifs mount a share on a windows machine, per the instructions here, but not until I reboot:

https://help.ubuntu.com/community/MountWindowsSharesPermanently

Here is the line I've added to my fstab:

//familyroom/fam_e /home/dan cifs iocharset=utf8,credentials=/home/dan/.smbcredentials,uid=1000 0 0

After I execute sudo mount -a, the share is available to me -- but, all of the Crossover launcher icons in the panel become red circles with lines through them! Then, on reboot, I get the message described in this thread. I can correct it by removing the fstab line above and rebooting.

WTF!

Dan

For the Lay user:

Hit Ctrl+alt+f1 to get to terminal
Login as yourself
sudo chmod a+rwx /tmp

This problem is pretty serious since it totally prevents you from logging in. I did a sudo apt-get upgrade before finding this bug report and making the changes and even that didn't fix the problem. Let's not lock the lay user out of their system eh?

gbulmash (gbulmash) wrote :

Same problem.

"There is a problem with the configuration server
(/usr/lib/libgconf2-4/gconf-sanity-check-2 exited with status 256)"

Does not seem to effect computer usage. After clicking on "Close" the graphic interface comes up and everything appears to work.

Got this bug when I upgraded from 8.04 to 9.10.

So, is there a fix?

Thanks

Redsandro (redsandro) wrote :

Confirmed, provided that:
1) Home directory is encrypted
2) Autologin is set

Disable autologin and error goes away.

http://ubuntuforums.org/showthread.php?t=1373476

buckwheat (swingboy3) wrote :

As above I get the same errors as everyone else

there is a problem with the configuration server /usr/lib/libgconf2-4/gconf-sanitycheck-2 exites with status 256
 and
Something about .ICEauthority

I was able to turn off the auto login by editing /etc/gdm/custom.conf file but I still get the same problem: Desktop background with nothing else.

I can get into an X-session by stopping gdm and running startx as root, but this only seems like a temporary solution and I don't have all functionality when I do this.

Same problem happend to me today. Changing Permissions on /tmp solved it.

Equus (marko-ves) wrote :

Thanks guys, had the same problem here, running sudo chmod a+rwx /tmp fixed it! :)

Thought it had something to do with installing VirtualBox before rebooting, but then realised that the error was caused by some fiddling I did earlier with /tmp in an attempt to make my system "more secure" (read it in an article)! It made it SO secure even I couldn't get in!

Cheers!

description: updated
xdaikatanax (xdaikatanax) wrote :

I have the same problem as buckwheat - I get the ICEauthority message, then the configuration server message, then a message that Nautilus couldn't load. Loads into a default desktop background with no panels. I ran sudo chmod a+rwx /tmp and nothing changed. Is there another fix...or am I not entering the code correctly?

xdaikatanax (xdaikatanax) wrote :

Note: I didn't have a problem before trying to change my password.

favoritetort (a-j-duinker) wrote :

Had the same problem on a fresh karmic 64 bit.

.xsession-errors gave:
/etc/gdm/Xsession: Beginning session setup...
mkdtemp: private socket dir: Permission denied

solved it by changing the permissions for /tmp

I'm not sure how to change those settings in /tmp. I cannot gain access to
my profile, and I can't seem to alter anything from another profile...

On Mon, Mar 8, 2010 at 7:47 AM, favoritetort <
<email address hidden>> wrote:

> Had the same problem on a fresh karmic 64 bit.
>
> .xsession-errors gave:
> /etc/gdm/Xsession: Beginning session setup...
> mkdtemp: private socket dir: Permission denied
>
> solved it by changing the permissions for /tmp
>
> --
> There is a problem with the configuration server.
> (/usr/lib/libgconf2-4/gconf-sanity-check-2 exited with status 256)
> https://bugs.launchpad.net/bugs/269215
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “gconf” package in Ubuntu: Incomplete
>
> Bug description:
> Intrepid Ibex Alpha 5 64bit, All updates applied.
> Been getting this error after the log-in screen, after doing updates
> yesterday.
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/gconf/+bug/269215/+subscribe
>

favoritetort (a-j-duinker) wrote :

can you log in as root?
then type the following into a terminal
# chmod 777 /tmp

if you can't log in as root (because for instance no root password is set),
i suggest booting into single user/recovery mode
you'll then get a root prompt where you'll be able to change the permissions

if you don't have single user grub entry, edit the existing grub entry by typing 'e'
and add 'single' tot the line with the kernel and boot with 'b'

xdaikatanax (xdaikatanax) wrote :

I learned how to get into recovery mode, but could you tell me how to change
the permissions as root? I do have a root password, so that might just work,
though I'm not good with code at all. Thank you very much, by the way.

On Tue, Mar 9, 2010 at 8:49 AM, favoritetort <
<email address hidden>> wrote:

> can you log in as root?
> then type the following into a terminal
> # chmod 777 /tmp
>
> if you can't log in as root (because for instance no root password is set),
> i suggest booting into single user/recovery mode
> you'll then get a root prompt where you'll be able to change the
> permissions
>
> if you don't have single user grub entry, edit the existing grub entry by
> typing 'e'
> and add 'single' tot the line with the kernel and boot with 'b'
>
> --
> There is a problem with the configuration server.
> (/usr/lib/libgconf2-4/gconf-sanity-check-2 exited with status 256)
> https://bugs.launchpad.net/bugs/269215
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “gconf” package in Ubuntu: Incomplete
>
> Bug description:
> Intrepid Ibex Alpha 5 64bit, All updates applied.
> Been getting this error after the log-in screen, after doing updates
> yesterday.
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/gconf/+bug/269215/+subscribe
>

favoritetort (a-j-duinker) wrote :

when you have a prompt you can check the pemissions with:
# ls -l /

you'll then see something like:

drwxr-xr-x ....... /tmp

there are three sets of permissions, first the owner of the file/directory then the group then everyone else.
if everyone can write it will read:

drwxrwxrwx .../tmp

you can change permissions with chmod using either letters for the permissions or a numeric code

7 means read, write and execute, 777 means everyone can rwx

doing
# chmod 777 /tmp
should do the trick

xdaikatanax (xdaikatanax) wrote :

Thank you very much, I'll try this ASAP, and I'll post what happens.

On Tue, Mar 9, 2010 at 9:58 AM, favoritetort <
<email address hidden>> wrote:

> when you have a prompt you can check the pemissions with:
> # ls -l /
>
> you'll then see something like:
>
> drwxr-xr-x ....... /tmp
>
> there are three sets of permissions, first the owner of the file/directory
> then the group then everyone else.
> if everyone can write it will read:
>
> drwxrwxrwx .../tmp
>
> you can change permissions with chmod using either letters for the
> permissions or a numeric code
>
> 7 means read, write and execute, 777 means everyone can rwx
>
> doing
> # chmod 777 /tmp
> should do the trick
>
> --
> There is a problem with the configuration server.
> (/usr/lib/libgconf2-4/gconf-sanity-check-2 exited with status 256)
> https://bugs.launchpad.net/bugs/269215
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “gconf” package in Ubuntu: Incomplete
>
> Bug description:
> Intrepid Ibex Alpha 5 64bit, All updates applied.
> Been getting this error after the log-in screen, after doing updates
> yesterday.
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/gconf/+bug/269215/+subscribe
>

xdaikatanax (xdaikatanax) wrote :

Alright: I tried what you said, but with no success. What you said should
display:

drwxrwxrwx .../tmp

is displayed, but I'm still not able to load my profile, with the same error
messages I was receiving before. Do you have any other suggestions?

On Tue, Mar 9, 2010 at 11:10 AM, Richard Garrett <email address hidden>wrote:

> Thank you very much, I'll try this ASAP, and I'll post what happens.
>
>
> On Tue, Mar 9, 2010 at 9:58 AM, favoritetort <
> <email address hidden>> wrote:
>
>> when you have a prompt you can check the pemissions with:
>> # ls -l /
>>
>> you'll then see something like:
>>
>> drwxr-xr-x ....... /tmp
>>
>> there are three sets of permissions, first the owner of the file/directory
>> then the group then everyone else.
>> if everyone can write it will read:
>>
>> drwxrwxrwx .../tmp
>>
>> you can change permissions with chmod using either letters for the
>> permissions or a numeric code
>>
>> 7 means read, write and execute, 777 means everyone can rwx
>>
>> doing
>> # chmod 777 /tmp
>> should do the trick
>>
>> --
>> There is a problem with the configuration server.
>> (/usr/lib/libgconf2-4/gconf-sanity-check-2 exited with status 256)
>> https://bugs.launchpad.net/bugs/269215
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>> Status in “gconf” package in Ubuntu: Incomplete
>>
>> Bug description:
>> Intrepid Ibex Alpha 5 64bit, All updates applied.
>> Been getting this error after the log-in screen, after doing updates
>> yesterday.
>>
>>
>>
>> To unsubscribe from this bug, go to:
>> https://bugs.launchpad.net/ubuntu/+source/gconf/+bug/269215/+subscribe
>>
>
>

Jka (jka-pub) wrote :

I've just had the same problem when going to 10.04beta1, it was a fresh install but I put a backup copy of my working 9.04 /home user account in-place BEFORE doing the fresh install of 10.04b1

/tmp directory is all correctly set.

jka@jka-1004beta1:~$ ls -ltrad /tmp
drwxrwxrwt 26 root root 4096 2010-03-20 11:03 /tmp
jka@jka-1004beta1:~$

Harmeet (harmeet) wrote :

xdaikatanax

I had the same problem. This is what I did -

Press Alt+Ctrl+T, this will bring a terminal window. Run "gnome-panel", if it gives error, then run like "sudo gnome-panel". This will bring up all the panels and menus. Then update the system and reboot. After update and reboot, you should be fine!

Thanks

Harmeet

xdaikatanax (xdaikatanax) wrote :

Oh wow. I think that did it. Consider yourself a hero, Harmeet.

On Sat, Mar 20, 2010 at 2:21 PM, Harmeet <email address hidden> wrote:

> xdaikatanax
>
> I had the same problem. This is what I did -
>
> Press Alt+Ctrl+T, this will bring a terminal window. Run "gnome-panel",
> if it gives error, then run like "sudo gnome-panel". This will bring up
> all the panels and menus. Then update the system and reboot. After
> update and reboot, you should be fine!
>
> Thanks
>
> Harmeet
>
> --
> There is a problem with the configuration server.
> (/usr/lib/libgconf2-4/gconf-sanity-check-2 exited with status 256)
> https://bugs.launchpad.net/bugs/269215
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “gconf” package in Ubuntu: Incomplete
>
> Bug description:
> Intrepid Ibex Alpha 5 64bit, All updates applied.
> Been getting this error after the log-in screen, after doing updates
> yesterday.
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/gconf/+bug/269215/+subscribe
>

xdaikatanax (xdaikatanax) wrote :

Update: that didn't quite do it. I got the secondary profile up and running
perfectly, but the primary still gives the errors. I get to a terminal in
the primary profile by waiting for a window to popup, asking me to update my
encryption passphrase (which I never had before). It lets me run
"ecryptfs-unwrap-passphrase" and opens a terminal for me. From there, I can
only run "sudo gnome-panel", and I'm in the root profile. The system was
updated from the secondary profile, and restarting the primary profile
continues the usual error messages.

What else to try?

On Sat, Mar 20, 2010 at 10:25 PM, Richard Garrett <email address hidden>wrote:

> Oh wow. I think that did it. Consider yourself a hero, Harmeet.
>
>
> On Sat, Mar 20, 2010 at 2:21 PM, Harmeet <email address hidden> wrote:
>
>> xdaikatanax
>>
>> I had the same problem. This is what I did -
>>
>> Press Alt+Ctrl+T, this will bring a terminal window. Run "gnome-panel",
>> if it gives error, then run like "sudo gnome-panel". This will bring up
>> all the panels and menus. Then update the system and reboot. After
>> update and reboot, you should be fine!
>>
>> Thanks
>>
>> Harmeet
>>
>> --
>> There is a problem with the configuration server.
>> (/usr/lib/libgconf2-4/gconf-sanity-check-2 exited with status 256)
>> https://bugs.launchpad.net/bugs/269215
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>> Status in “gconf” package in Ubuntu: Incomplete
>>
>> Bug description:
>> Intrepid Ibex Alpha 5 64bit, All updates applied.
>> Been getting this error after the log-in screen, after doing updates
>> yesterday.
>>
>>
>>
>> To unsubscribe from this bug, go to:
>> https://bugs.launchpad.net/ubuntu/+source/gconf/+bug/269215/+subscribe
>>
>
>

xdaikatanax (xdaikatanax) wrote :

I can no longer bring up the terminal.

On Sat, Mar 20, 2010 at 10:39 PM, Richard Garrett <email address hidden>wrote:

> Update: that didn't quite do it. I got the secondary profile up and running
> perfectly, but the primary still gives the errors. I get to a terminal in
> the primary profile by waiting for a window to popup, asking me to update my
> encryption passphrase (which I never had before). It lets me run
> "ecryptfs-unwrap-passphrase" and opens a terminal for me. From there, I can
> only run "sudo gnome-panel", and I'm in the root profile. The system was
> updated from the secondary profile, and restarting the primary profile
> continues the usual error messages.
>
> What else to try?
>
>
> On Sat, Mar 20, 2010 at 10:25 PM, Richard Garrett <email address hidden>wrote:
>
>> Oh wow. I think that did it. Consider yourself a hero, Harmeet.
>>
>>
>> On Sat, Mar 20, 2010 at 2:21 PM, Harmeet <email address hidden> wrote:
>>
>>> xdaikatanax
>>>
>>> I had the same problem. This is what I did -
>>>
>>> Press Alt+Ctrl+T, this will bring a terminal window. Run "gnome-panel",
>>> if it gives error, then run like "sudo gnome-panel". This will bring up
>>> all the panels and menus. Then update the system and reboot. After
>>> update and reboot, you should be fine!
>>>
>>> Thanks
>>>
>>> Harmeet
>>>
>>> --
>>> There is a problem with the configuration server.
>>> (/usr/lib/libgconf2-4/gconf-sanity-check-2 exited with status 256)
>>> https://bugs.launchpad.net/bugs/269215
>>> You received this bug notification because you are a direct subscriber
>>> of the bug.
>>>
>>> Status in “gconf” package in Ubuntu: Incomplete
>>>
>>> Bug description:
>>> Intrepid Ibex Alpha 5 64bit, All updates applied.
>>> Been getting this error after the log-in screen, after doing updates
>>> yesterday.
>>>
>>>
>>>
>>> To unsubscribe from this bug, go to:
>>> https://bugs.launchpad.net/ubuntu/+source/gconf/+bug/269215/+subscribe
>>>
>>
>>
>

xdaikatanax (xdaikatanax) wrote :

I think this article explains what's going on.

http://www.kaijanmaki.net/blog/2009/10/26/recovering-files-from-ecryptfs-encrypted-home/

I would recommend that this go in the Ubuntu documentation for any further
releases.

On Sat, Mar 20, 2010 at 11:25 PM, Richard Garrett <email address hidden>wrote:

> I can no longer bring up the terminal.
>
>
> On Sat, Mar 20, 2010 at 10:39 PM, Richard Garrett <email address hidden>wrote:
>
>> Update: that didn't quite do it. I got the secondary profile up and
>> running perfectly, but the primary still gives the errors. I get to a
>> terminal in the primary profile by waiting for a window to popup, asking me
>> to update my encryption passphrase (which I never had before). It lets me
>> run "ecryptfs-unwrap-passphrase" and opens a terminal for me. From there, I
>> can only run "sudo gnome-panel", and I'm in the root profile. The system was
>> updated from the secondary profile, and restarting the primary profile
>> continues the usual error messages.
>>
>> What else to try?
>>
>>
>> On Sat, Mar 20, 2010 at 10:25 PM, Richard Garrett <email address hidden>wrote:
>>
>>> Oh wow. I think that did it. Consider yourself a hero, Harmeet.
>>>
>>>
>>> On Sat, Mar 20, 2010 at 2:21 PM, Harmeet <email address hidden> wrote:
>>>
>>>> xdaikatanax
>>>>
>>>> I had the same problem. This is what I did -
>>>>
>>>> Press Alt+Ctrl+T, this will bring a terminal window. Run "gnome-panel",
>>>> if it gives error, then run like "sudo gnome-panel". This will bring up
>>>> all the panels and menus. Then update the system and reboot. After
>>>> update and reboot, you should be fine!
>>>>
>>>> Thanks
>>>>
>>>> Harmeet
>>>>
>>>> --
>>>> There is a problem with the configuration server.
>>>> (/usr/lib/libgconf2-4/gconf-sanity-check-2 exited with status 256)
>>>> https://bugs.launchpad.net/bugs/269215
>>>> You received this bug notification because you are a direct subscriber
>>>> of the bug.
>>>>
>>>> Status in “gconf” package in Ubuntu: Incomplete
>>>>
>>>> Bug description:
>>>> Intrepid Ibex Alpha 5 64bit, All updates applied.
>>>> Been getting this error after the log-in screen, after doing updates
>>>> yesterday.
>>>>
>>>>
>>>>
>>>> To unsubscribe from this bug, go to:
>>>> https://bugs.launchpad.net/ubuntu/+source/gconf/+bug/269215/+subscribe
>>>>
>>>
>>>
>>
>

Brian Karanga (shadowofbrian) wrote :

Upgraded to Lucid from Karmic. Worked well for 1month then rebooted one day and this happened.

Before the login page this error message pops-up '/usr/lib/libgconf2-4/gconf-sanity-check-2 exited with status 256'

and at the bottom right corner this error message shows 'The configuration defaults for GNOME Power Manager have not been installed correctly. Please contact your computer administrator'

and after you log-in both messages display again.

The desktop boots in metacity(my default is compiz) and no gnome-panel

When I run gnome-panel from the terminal
(gnome-panel:11690): Gtk-CRITICAL **: gtk_accelerator_parse: assertion `accelerator != NULL' failed

** (gnome-panel:11690): WARNING **: Unable to parse mouse modifier '(null)'

When I run compiz from the terminal
WARNING: Application calling GLX 1.3 function "glXCreatePixmap" when GLX 1.3 is not supported! This is an application bug!
compiz (video) - Warn: No 8 bit GLX pixmap format, disabling YV12 image format

They both work though.
I have tried everything from the previous posts but nothing works.

xdaikatanax (xdaikatanax) wrote :

I ended up simply changing my password as root and everything was fine.

On Fri, Jun 18, 2010 at 7:12 AM, Brian Karanga <email address hidden>wrote:

> Upgraded to Lucid from Karmic. Worked well for 1month then rebooted one
> day and this happened.
>
> Before the login page this error message pops-up '/usr/lib/libgconf2-4
> /gconf-sanity-check-2 exited with status 256'
>
> and at the bottom right corner this error message shows 'The
> configuration defaults for GNOME Power Manager have not been installed
> correctly. Please contact your computer administrator'
>
> and after you log-in both messages display again.
>
> The desktop boots in metacity(my default is compiz) and no gnome-panel
>
> When I run gnome-panel from the terminal
> (gnome-panel:11690): Gtk-CRITICAL **: gtk_accelerator_parse: assertion
> `accelerator != NULL' failed
>
> ** (gnome-panel:11690): WARNING **: Unable to parse mouse modifier
> '(null)'
>
> When I run compiz from the terminal
> WARNING: Application calling GLX 1.3 function "glXCreatePixmap" when GLX
> 1.3 is not supported! This is an application bug!
> compiz (video) - Warn: No 8 bit GLX pixmap format, disabling YV12 image
> format
>
> They both work though.
> I have tried everything from the previous posts but nothing works.
>
> --
> There is a problem with the configuration server.
> (/usr/lib/libgconf2-4/gconf-sanity-check-2 exited with status 256)
> https://bugs.launchpad.net/bugs/269215
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “gconf” package in Ubuntu: Incomplete
>
> Bug description:
> Intrepid Ibex Alpha 5 64bit, All updates applied.
> Been getting this error after the log-in screen, after doing updates
> yesterday.
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/gconf/+bug/269215/+subscribe
>

David Robert Lewis (afrodeity) wrote :

I think I've accidentally purged the configuration of the config server.

It can't update /var/lib/gdm/.ICEauthority because the folder and the file doesn't exist. I only have a .ICEauthority in my home folder.

Tried all the chowns and chmods suggested here and elsewhere but this appears to be a lack of configuration information problem.

How do I go about reconfiguring the .ICEauthority or the configuration server on Lucid?

Doug A (s21887) wrote :

I have the "Gnome Power" and "exit 256" problem too.

I tried the root@username# chmod 777 /tmp

didn't work... and I don't know why!

PS. I am one of the many users who doesn't really understand unix. So please dumb it WAY down, and type really obviosu stuff too (because it won't be obvious to me....)

Thanks

Try changing your password.

On Sat, Aug 21, 2010 at 2:35 PM, Doug A <email address hidden> wrote:

> I have the "Gnome Power" and "exit 256" problem too.
>
> I tried the root@username# chmod 777 /tmp
>
> didn't work... and I don't know why!
>
> PS. I am one of the many users who doesn't really understand unix. So
> please dumb it WAY down, and type really obviosu stuff too (because it
> won't be obvious to me....)
>
> Thanks
>
> --
> There is a problem with the configuration server.
> (/usr/lib/libgconf2-4/gconf-sanity-check-2 exited with status 256)
> https://bugs.launchpad.net/bugs/269215
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “gconf” package in Ubuntu: Incomplete
>
> Bug description:
> Intrepid Ibex Alpha 5 64bit, All updates applied.
> Been getting this error after the log-in screen, after doing updates
> yesterday.
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/gconf/+bug/269215/+subscribe
>

hagen-cool (hagen-cool) wrote :

I had the same problem with Karmic. I installed sbackup, made some test backup and restore,
and maybe i made an error. Because permission from /tmp was changed from 1777 to 0755 :-),
i changed back permission from /tmp to 1777 ( rwxrwxrwt ) and now all works fine again.
Bye
Hagen

rgr (rgr-saf) wrote :

I have the same error message, "There is a problem with configuration server.
(/usr/lib/libgconf2-4/gconf-sanity-check-2 exited with status 256)". tried chmod 777 /txt and all other steps mentioned above, but none of them seems to be working. Me having Ldap authentication , LDap client is installed on ubuntu10.04 system here . cant login to system when username is more that 9 characters, where as in the same username works well with windows and mac os but not with Ubuntu 10.04. if username is less than 9 characters then it seems to be fine no error message and ubuntu allows me to desktop and error message doesnt seems to appearing!
Can some one help...please........

Croque (pcroque) wrote :

Just to confirm that this problem still exists in 10.10.

I started having this problem today on Ubuntu 10.10 (full disk encryption, auto login). The box pops up "There is a problem with configuration server. (/usr/lib/libgconf2-4/gconf-sanity-check-2 exited with status 256)" near the end of the boot process. I click OK and the desktop comes up. I can't think of anything I changed recently that would start this.

Apteryx (maxco) wrote :

Had same problem here on Ubuntu 10.04. Don't know what caused the problem.

FIX: Doing a "ls -la" in my home folder, I noticed that the hidden config file ".gconf" was not owned by me, but by "488". Changing the owner of this file back to normal (to me) solved the issue. I did a:

chown -R $USER $HOME/.gconf

and could happily log back in my session.

Tim Xiao (xiaoyuting) wrote :

I also ran into this problem. It was caused by bad permissions on /tmp, which somehow survived a reboot. chown root:root /tmp && chmod 777 /tmp fixed it. Ideally, the system shouldn't be throwing such an obscure error message, and the sanity check script shouldn't be silent (or return 0) when ran a second time.

Josh Brown (joshbrown) wrote :

I was experiencing this problem after a fresh Ubuntu 10.10 installation, installing updates and restarting the computer did not have any effect on the problem. The problem was easily fixed thanks to Apteryx's solution:

# chown -R josh /home/josh/.gconf

Sudhir Varma (sudhirvarmahyd) wrote :

The error "gconf-sanity-check-2 exited with status 256" can be solved by starting to safemode in Ubuntu and then typing
' sudo chmod 755 /etc/gconf/gconf.xml.system '
 it worked for me..
Have a nice Time.

Bug bit me too. I got it to a point where I could get the error to cease for one restart then it would come back.
Dell GX520 32-bit old warhorse used as a library catalog kiosk. Ubuntu v. 10.10. On boot a script restores a .tar backup of the public user profile (home folder) so that if a user messes with the PC, we just reboot, same idea as DeepFreeze for Windows. Upon a 3 second delay to allow the restore script to fire and complete, auto-logon fires off into the public kiosk desktop, but the "254" error comes up first, hit OK and everything is just fine with how the PC operates.
I tried all the solutions everyone has suggested and it's not flying, or it might only work for one round, and I am creating a new .TAR after each attempt to fix so I don't overwrite the fix on reboot.
Here's a clue: if I do a restart, it goes clean (sometimes). A cold boot yeilds the error consistantly.
I hope someone can see something in my .xsession... file that would point to what I'm missing.
Thanks to all,
Alex Ernst
Bethlehem Public Library
Delmar NY USA

earthmeLon (earthmelon) wrote :

Wow. Thanks guys.

Not really sure how this happened, but for me, I had to change /tmp/'s permissions (like #75). I tried every 'solution' in the thread. This is what worked for me.

Thank you so much for working through to find as many solutions as you can. This is the #1 ranked google search result. Glad it has a solution in it.

Subsequent to my previous post (#82, 3/16) about the on-boot "256" error, in an unrelated effort I removed the Nanny app from the affected PC (installed Mozilla-approved BlockSite directly from Mozilla rather than thru software center), and lo and behold the error went away.

Ignore 84. The error message is back.
Updated with today's latest patches to 10.10, error gone again. Stay tuned.

Valdearg (tim11pop) wrote :

Just wanted to let you know that this still exists. I managed to fix it with some of the solutions on here, I tried doing the chmod 775 gconf.xml.system first to no help. Then I did the:

chmod a+rwx /tmp

Then

chmod -R $USER /home/$USER/.gconf

I also just deleted a lot of stuff from my Documents folder. This was only a small partition and Ubuntu 11.04 imported settings from my dual boot which were much larger.

Hope this helps someone.

Tetsuro Kikuchi (kikuchi-tr) wrote :

I have encountered the same problem.

When I run /usr/lib/libgconf2-4/gconf-sanity-check-2 from a terminal, the following message appeared:

Please contact your system administrator to resolve the follwing problem:
Could not open or create the file "(null)"; this indicates that there may be a problem with your configuration, as many programs will need to create files in your home directory. The error was "Failed to create file '/tmp/gconf-test-locking-file-X6BCVV': Permission denied" (errno = 13).
Can't remove file (null): Bad address

Does anyone have an idea to deal with this problem?

Tetsuro Kikuchi (kikuchi-tr) wrote :

Concerning the problem reported in #87, I have succeeded in logging in the system correctly by changing the access authority of /tmp as follows:

$ sudo chmod 777 /tmp/

$ sudo reboot

Hello!

Today I have encountered the same problem on a virtual machine with Ubuntu 11.04 used in VMware Player. The error started after I deleted some gnome applications(games) because of no space on disk. The only solution for solving the problem was sudo chmod 777 /tmp/. The other solutions have no effect.

Ralf-Peter (rohbeck) wrote :

I ran into the same problem. I had mounted /tmp as a tmpfs for a while but decided I needed the memory so I didn't mount it any more (just commented out the line in fstab.) However, the /tmp mount point had mode 0755 (drwxr-xr-x) which caused this behavior because various tools couldn't create their temp files.
A
sudo chmod 1777 /tmp
and a reboot fixed it.

dino99 (9d9) on 2012-08-30
Changed in gconf (Ubuntu):
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers